public static interface AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder
extends org.apache.camel.builder.EndpointProducerBuilder
| Modifier and Type | Method and Description |
|---|---|
default AtmosphereWebsocketEndpointBuilderFactory.AdvancedAtmosphereWebsocketEndpointProducerBuilder |
advanced() |
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
authHost(String authHost)
Authentication host to use with NTML.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
bridgeEndpoint(boolean bridgeEndpoint)
If the option is true, HttpProducer will ignore the Exchange.HTTP_URI
header, and use the endpoint's URI for request.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
bridgeEndpoint(String bridgeEndpoint)
If the option is true, HttpProducer will ignore the Exchange.HTTP_URI
header, and use the endpoint's URI for request.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
chunked(boolean chunked)
If this option is false the Servlet will disable the HTTP streaming
and set the content-length header on the response.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
chunked(String chunked)
If this option is false the Servlet will disable the HTTP streaming
and set the content-length header on the response.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
connectionClose(boolean connectionClose)
Specifies whether a Connection Close header must be added to HTTP
Request.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
connectionClose(String connectionClose)
Specifies whether a Connection Close header must be added to HTTP
Request.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
copyHeaders(boolean copyHeaders)
If this option is true then IN exchange headers will be copied to OUT
exchange headers according to copy strategy.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
copyHeaders(String copyHeaders)
If this option is true then IN exchange headers will be copied to OUT
exchange headers according to copy strategy.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
disableStreamCache(boolean disableStreamCache)
Determines whether or not the raw input stream from Servlet is cached
or not (Camel will read the stream into a in memory/overflow to file,
Stream caching) cache.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
disableStreamCache(String disableStreamCache)
Determines whether or not the raw input stream from Servlet is cached
or not (Camel will read the stream into a in memory/overflow to file,
Stream caching) cache.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
headerFilterStrategy(org.apache.camel.spi.HeaderFilterStrategy headerFilterStrategy)
To use a custom HeaderFilterStrategy to filter header to and from
Camel message.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
headerFilterStrategy(String headerFilterStrategy)
To use a custom HeaderFilterStrategy to filter header to and from
Camel message.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
httpMethod(AtmosphereWebsocketEndpointBuilderFactory.HttpMethods httpMethod)
Configure the HTTP method to use.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
httpMethod(String httpMethod)
Configure the HTTP method to use.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
ignoreResponseBody(boolean ignoreResponseBody)
If this option is true, The http producer won't read response body
and cache the input stream.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
ignoreResponseBody(String ignoreResponseBody)
If this option is true, The http producer won't read response body
and cache the input stream.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
lazyStartProducer(boolean lazyStartProducer)
Whether the producer should be started lazy (on the first message).
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
lazyStartProducer(String lazyStartProducer)
Whether the producer should be started lazy (on the first message).
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
preserveHostHeader(boolean preserveHostHeader)
If the option is true, HttpProducer will set the Host header to the
value contained in the current exchange Host header, useful in
reverse proxy applications where you want the Host header received by
the downstream server to reflect the URL called by the upstream
client, this allows applications which use the Host header to
generate accurate URL's for a proxied service.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
preserveHostHeader(String preserveHostHeader)
If the option is true, HttpProducer will set the Host header to the
value contained in the current exchange Host header, useful in
reverse proxy applications where you want the Host header received by
the downstream server to reflect the URL called by the upstream
client, this allows applications which use the Host header to
generate accurate URL's for a proxied service.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
proxyAuthScheme(String proxyAuthScheme)
Proxy authentication scheme to use.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
proxyHost(String proxyHost)
Proxy hostname to use.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
proxyPort(int proxyPort)
Proxy port to use.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
proxyPort(String proxyPort)
Proxy port to use.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
sendToAll(boolean sendToAll)
Whether to send to all (broadcast) or send to a single receiver.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
sendToAll(String sendToAll)
Whether to send to all (broadcast) or send to a single receiver.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
throwExceptionOnFailure(boolean throwExceptionOnFailure)
Option to disable throwing the HttpOperationFailedException in case
of failed responses from the remote server.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
throwExceptionOnFailure(String throwExceptionOnFailure)
Option to disable throwing the HttpOperationFailedException in case
of failed responses from the remote server.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
transferException(boolean transferException)
If enabled and an Exchange failed processing on the consumer side,
and if the caused Exception was send back serialized in the response
as a application/x-java-serialized-object content type.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
transferException(String transferException)
If enabled and an Exchange failed processing on the consumer side,
and if the caused Exception was send back serialized in the response
as a application/x-java-serialized-object content type.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
useStreaming(boolean useStreaming)
To enable streaming to send data as multiple text fragments.
|
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder |
useStreaming(String useStreaming)
To enable streaming to send data as multiple text fragments.
|
default AtmosphereWebsocketEndpointBuilderFactory.AdvancedAtmosphereWebsocketEndpointProducerBuilder advanced()
default AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder chunked(boolean chunked)
boolean type.
Default: true
Group: commondefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder chunked(String chunked)
boolean type.
Default: true
Group: commondefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder disableStreamCache(boolean disableStreamCache)
boolean type.
Default: false
Group: commondefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder disableStreamCache(String disableStreamCache)
boolean type.
Default: false
Group: commondefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder headerFilterStrategy(org.apache.camel.spi.HeaderFilterStrategy headerFilterStrategy)
org.apache.camel.spi.HeaderFilterStrategy type.
Group: commondefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder headerFilterStrategy(String headerFilterStrategy)
org.apache.camel.spi.HeaderFilterStrategy type.
Group: commondefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder sendToAll(boolean sendToAll)
boolean type.
Default: false
Group: commondefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder sendToAll(String sendToAll)
boolean type.
Default: false
Group: commondefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder transferException(boolean transferException)
boolean type.
Default: false
Group: commondefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder transferException(String transferException)
boolean type.
Default: false
Group: commondefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder useStreaming(boolean useStreaming)
boolean type.
Default: false
Group: commondefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder useStreaming(String useStreaming)
boolean type.
Default: false
Group: commondefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder bridgeEndpoint(boolean bridgeEndpoint)
boolean type.
Default: false
Group: producerdefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder bridgeEndpoint(String bridgeEndpoint)
boolean type.
Default: false
Group: producerdefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder connectionClose(boolean connectionClose)
boolean type.
Default: false
Group: producerdefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder connectionClose(String connectionClose)
boolean type.
Default: false
Group: producerdefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder copyHeaders(boolean copyHeaders)
boolean type.
Default: true
Group: producerdefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder copyHeaders(String copyHeaders)
boolean type.
Default: true
Group: producerdefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder httpMethod(AtmosphereWebsocketEndpointBuilderFactory.HttpMethods httpMethod)
org.apache.camel.http.common.HttpMethods type.
Group: producerdefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder httpMethod(String httpMethod)
org.apache.camel.http.common.HttpMethods type.
Group: producerdefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder ignoreResponseBody(boolean ignoreResponseBody)
boolean type.
Default: false
Group: producerdefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder ignoreResponseBody(String ignoreResponseBody)
boolean type.
Default: false
Group: producerdefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder lazyStartProducer(boolean lazyStartProducer)
boolean type.
Default: false
Group: producerdefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder lazyStartProducer(String lazyStartProducer)
boolean type.
Default: false
Group: producerdefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder preserveHostHeader(boolean preserveHostHeader)
boolean type.
Default: false
Group: producerdefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder preserveHostHeader(String preserveHostHeader)
boolean type.
Default: false
Group: producerdefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder throwExceptionOnFailure(boolean throwExceptionOnFailure)
boolean type.
Default: true
Group: producerdefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder throwExceptionOnFailure(String throwExceptionOnFailure)
boolean type.
Default: true
Group: producerdefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder proxyAuthScheme(String proxyAuthScheme)
java.lang.String type.
Group: proxydefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder proxyHost(String proxyHost)
java.lang.String type.
Group: proxydefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder proxyPort(int proxyPort)
int type.
Group: proxydefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder proxyPort(String proxyPort)
int type.
Group: proxydefault AtmosphereWebsocketEndpointBuilderFactory.AtmosphereWebsocketEndpointProducerBuilder authHost(String authHost)
java.lang.String type.
Group: securityApache Camel